Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit.Formalisms.Automaton
Class AutomatonLink

    java.lang.Object
      SEdit.SElement
          SEdit.SArrow
              SEdit.Formalisms.StateTransition.SimpleStateTransitionLink
                  SEdit.Formalisms.Automaton.AutomatonLink

    public class AutomatonLink

extends SimpleStateTransitionLink

CLASSE AutomatonLink

Field Summary
`protected boolean` | `activated`

Fields inherited from class SEdit.SArrow
`origin, target`

Fields inherited from class SEdit.SElement
`comment, descriptor, element, id, label, persistent, structure`

Constructor Summary
`AutomatonLink()`

Method Summary
`protected void` | `activate(java.lang.String w)`
`protected void` | `active(boolean flag)`
`protected void` | `consume()`
`protected void` | `produce(java.lang.String w)`

Methods inherited from class SEdit.Formalisms.StateTransition.SimpleStateTransitionLink
`isConnectable`

Methods inherited from class SEdit.SArrow
`delete, getOrigin, getTarget, initGraphics, setOrigin, setTarget, toString`

Methods inherited from class SEdit.SElement
`dump, getComment, getDescriptor, getGObject, getID, getLabel, getStructure, init, inspect, setComment, setDescriptor, setGObject, setID, setLabel, setStructure`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### activated

    protected boolean activated

Constructor Detail

### AutomatonLink

    public AutomatonLink()

Method Detail

### activate

    protected void activate(java.lang.String w)

### produce

    protected void produce(java.lang.String w)

### consume

    protected void consume()

### active

    protected void active(boolean flag)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.